FROM registry.gitlab.com/yaook/images/k8s-ci/f1a:devel

LABEL Description="Yaook/k8s-capi-provider base image."

ENV ENVIRONMENT=kubernetes

COPY README.md .
WORKDIR /app
ENV PYTHONPATH /app

COPY k8s_capi_provider/ .

RUN pip install .
RUN apt install -y iptables


ENTRYPOINT ["kopf"]
# This base image is intended to run k8s-capi-provider controllers by
# overriding the container CMD. See the following list of
# recommended CMDs.
#  - "run -m src.controllers.cluster.run"
#  - "run -m src.controllers.service.run"
#
CMD ["--help"]
